com.collabnet.ce.soap60.webservices.page

## Class PageComponentSoapDO

- java.lang.Object
- - com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDO
  - - com.collabnet.ce.soap60.webservices.cemain.ItemSoapDO
    - - com.collabnet.ce.soap60.webservices.page.PageComponentSoapDO

-     public class PageComponentSoapDO
      extends com.collabnet.ce.soap60.webservices.cemain.ItemSoapDO

  This class represents a component in a page.
  Change History
  Release: 5.0
  - Class Introduced
  Since:
    5.0

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `COMPONENT_TYPE_DOCUMENTS` Possible value for the component type field for documents.
    `static String` | `COMPONENT_TYPE_GRAPH` Possible value for the component type field for graphs.
    `static String` | `COMPONENT_TYPE_NEWS` Possible value for the component type field for news.
    `static String` | `COMPONENT_TYPE_SUBPROJECTS` Possible value for the component type field for subprojects.
    `static String` | `COMPONENT_TYPE_TEXT` Possible value for the component type field for text/html.
    `static String` | `COMPONENT_TYPE_TRACKER` Possible value for the component type field for tracker.
    `static String` | `COMPONENT_TYPE_WIKI` Possible value for the component type field for wiki.
    `static String` | `DOCUMENT_FOLDER_NAME` Possible value for the document folder name attribute.
    `static String` | `NUM_SUBPROJECTS` Possible value for number of subprojects to display.
    `static String` | `NUM_TRACKER_SEARCHES` Possible value for number of tracker searches to display.
    `static String` | `TRACKER_SEARCH_IDS` Possible value for tracker search ids attribute.
    `static String` | `WIKI_TOPIC` Possible value for wiki topic attribute.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PageComponentSoapDO()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getComponentType()` Returns 'componentType'.
    `com.collabnet.ce.soap60.types.SoapNamedValues` | `getSettings()` Returns 'settings'.
    `int` | `getVisiblity()` Returns 'visiblity'.
    `static void` | `registerTypeMappings(org.apache.axis.client.Call call)`
    `void` | `setComponentType(String componentType)` Sets 'componentType'.
    `void` | `setSettings(com.collabnet.ce.soap60.types.SoapNamedValues settings)` Sets 'settings'.
    `void` | `setVisiblity(int visiblity)` Sets 'visiblity'.

    - ### Methods inherited from class com.collabnet.ce.soap60.webservices.cemain.ItemSoapDO

      `getFolderId, getPath, getTitle, setFolderId, setPath, setTitle`

    - ### Methods inherited from class com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDO

      `getCreatedBy, getCreatedDate, getId, getLastModifiedBy, getLastModifiedDate, getVersion, setCreatedBy, setCreatedDate, setId, setLastModifiedBy, setLastModifiedDate, setVersion`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COMPONENT_TYPE_DOCUMENTS

          public static final String COMPONENT_TYPE_DOCUMENTS

      Possible value for the component type field for documents.
      See Also:
        Constant Field Values

    - #### COMPONENT_TYPE_GRAPH

          public static final String COMPONENT_TYPE_GRAPH

      Possible value for the component type field for graphs.
      See Also:
        Constant Field Values

    - #### COMPONENT_TYPE_TEXT

          public static final String COMPONENT_TYPE_TEXT

      Possible value for the component type field for text/html.
      See Also:
        Constant Field Values

    - #### COMPONENT_TYPE_NEWS

          public static final String COMPONENT_TYPE_NEWS

      Possible value for the component type field for news.
      See Also:
        Constant Field Values

    - #### COMPONENT_TYPE_TRACKER

          public static final String COMPONENT_TYPE_TRACKER

      Possible value for the component type field for tracker.
      See Also:
        Constant Field Values

    - #### COMPONENT_TYPE_WIKI

          public static final String COMPONENT_TYPE_WIKI

      Possible value for the component type field for wiki.
      See Also:
        Constant Field Values

    - #### COMPONENT_TYPE_SUBPROJECTS

          public static final String COMPONENT_TYPE_SUBPROJECTS

      Possible value for the component type field for subprojects.
      See Also:
        Constant Field Values

    - #### DOCUMENT_FOLDER_NAME

          public static final String DOCUMENT_FOLDER_NAME

      Possible value for the document folder name attribute.
      See Also:
        Constant Field Values

    - #### TRACKER_SEARCH_IDS

          public static final String TRACKER_SEARCH_IDS

      Possible value for tracker search ids attribute.
      See Also:
        Constant Field Values

    - #### NUM_TRACKER_SEARCHES

          public static final String NUM_TRACKER_SEARCHES

      Possible value for number of tracker searches to display.
      See Also:
        Constant Field Values

    - #### WIKI_TOPIC

          public static final String WIKI_TOPIC

      Possible value for wiki topic attribute.
      See Also:
        Constant Field Values

    - #### NUM_SUBPROJECTS

          public static final String NUM_SUBPROJECTS

      Possible value for number of subprojects to display.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PageComponentSoapDO

          public PageComponentSoapDO()

  - ### Method Detail

    - #### getComponentType

          public String getComponentType()

      Returns 'componentType'. Type of this component.
      Returns:
        Value of 'componentType'.

    - #### setComponentType

          public void setComponentType(String componentType)

      Sets 'componentType'. Type of this component.
      Parameters:
        `componentType` - Value of 'componentType'.

    - #### getVisiblity

          public int getVisiblity()

      Returns 'visiblity'. Indicates whether this component is visible in the page.
      Returns:
        Value of 'visiblity'.

    - #### setVisiblity

          public void setVisiblity(int visiblity)

      Sets 'visiblity'. Indicates whether this component is visible in the page.
      Parameters:
        `visiblity` - Value of 'visiblity'.

    - #### getSettings

          public com.collabnet.ce.soap60.types.SoapNamedValues getSettings()

      Returns 'settings'. Component settings.
      Returns:
        Value of 'settings'.

    - #### setSettings

          public void setSettings(com.collabnet.ce.soap60.types.SoapNamedValues settings)

      Sets 'settings'. Component settings.
      Parameters:
        `settings` - Value of 'settings'.

    - #### registerTypeMappings

          public static void registerTypeMappings(org.apache.axis.client.Call call)

Copyright © 2020 CollabNet. All rights reserved.